summaryrefslogtreecommitdiffstats
path: root/abs/extra/dnsmasq/rc.dnsmasq
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/dnsmasq/rc.dnsmasq')
-rwxr-xr-xabs/extra/dnsmasq/rc.dnsmasq36
1 files changed, 36 insertions, 0 deletions
diff --git a/abs/extra/dnsmasq/rc.dnsmasq b/abs/extra/dnsmasq/rc.dnsmasq
new file mode 100755
index 0000000..1676072
--- /dev/null
+++ b/abs/extra/dnsmasq/rc.dnsmasq
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/dnsmasq`
+case "$1" in
+ start)
+ stat_busy "Starting DNS/DHCP daemon"
+ [ -z "$PID" ] && /usr/sbin/dnsmasq
+ if [ $? -gt 0 ] ; then
+ stat_fail
+ else
+ add_daemon dnsmasq # create the 'state' dir
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping DNS/DHCP daemon"
+ [ "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon dnsmasq # remove the 'state' dir
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 5
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0